Page MenuHomeSolus

Initial inclusion of python-pyqt5-sip
ClosedPublic

Authored by algent on Sat, Jul 10, 1:20 PM.

Details

Summary

The sip module support for PyQt5.
This dependency is required to build python3-qt5, python-qtwebengine and calibre.

Signed-off-by: Algent Albrahimi <algent@protonmail.com>

Test Plan

Update python3-qt5, python-qtwebengine and calibre against this package.

Diff Detail

Repository
R5268 python-pyqt5-sip
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

algent created this revision.Sat, Jul 10, 1:20 PM
algent requested review of this revision.Sat, Jul 10, 1:20 PM
JoshStrobl requested changes to this revision.Mon, Jul 12, 10:05 AM
JoshStrobl added a subscriber: JoshStrobl.

Should probably add a runtime dependency on python-sip itself, right?

This revision now requires changes to proceed.Mon, Jul 12, 10:05 AM

Should probably add a runtime dependency on python-sip itself, right?

We can add it if we want, but I didn't find any indication that we should add python-sip to run dependencies.

algent requested review of this revision.Mon, Jul 12, 3:51 PM
JoshStrobl accepted this revision.Fri, Jul 16, 10:18 AM
This revision is now accepted and ready to land.Fri, Jul 16, 10:18 AM
This revision was automatically updated to reflect the committed changes.